package vip.xiaonuo.timer;


import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;
import vip.xiaonuo.common.timer.CommonTimerTaskRunner;
import vip.xiaonuo.erp.service.IErpXiaoShouService;

@Slf4j
@Component
public class ErpXiaoShouTimer implements CommonTimerTaskRunner {

    @Autowired
    private IErpXiaoShouService erpXiaoShouService;

    @Override
    public void action() {
        erpXiaoShouService.getWanChengLvDingDanJinE();
        erpXiaoShouService.getBaiFangKeHu();
        erpXiaoShouService.getFaPiaoJinE();
        erpXiaoShouService.getXianShodFaHboJainESheLangKeHuGongXian();
        erpXiaoShouService.getXiaoShouFeiYong();
        erpXiaoShouService.getYvQiHeTongMingXi();
    }
}
